# Class MarkupArrow

Class representing a markup arrow in the markup API.

#### Hierarchy (View Summary)

- MarkupEntity
  - MarkupArrow

#### Implements

- MarkupStyle<MarkupArrowStyle>

##### Index

### Properties

arrowHeight
arrowPoint
arrowWidth
bluntPoint
id
lineThickness
properties
style

### Accessors

isEnabled
sheet

### Methods

clone
copyFrom
copyTo
isEqual
markAsDeleted
markAsUpdated
onAdded
onDelete
onUpdate

## Properties

### arrowHeight

arrowHeight: number

### arrowPoint

arrowPoint: Vertex3

### arrowWidth

arrowWidth: number

### bluntPoint

bluntPoint: Vertex3

### `Readonly` id

id: string

Inherited from MarkupEntity.id

### lineThickness

lineThickness: number

### `Readonly` properties

properties: Map<string, MarkupProperty> = ...

Inherited from MarkupEntity.properties

### style

style: { backgroundColor: Color4 } = ...

Implementation of MarkupStyle.style

## Accessors

### isEnabled

- get isEnabled(): boolean

  Returns `true` if the entity and the sheet it belongs to are both enabled, otherwise `false`.

  #### Returns boolean

  Inherited from MarkupEntity.isEnabled

- set isEnabled(b: boolean): void

  Sets if entity is enabled

  #### Parameters

  - b: boolean

  #### Returns void

  Inherited from MarkupEntity.isEnabled

### sheet

- get sheet(): MarkupSheet2D

  Returns the markup sheet that the entity is attached to

  #### Returns MarkupSheet2D

  Inherited from MarkupEntity.sheet

## Methods

### clone

- clone(): MarkupArrow

  Makes a deep copy of this entity

  #### Returns MarkupArrow

  Overrides MarkupEntity.clone

### copyFrom

- copyFrom(arrow: MarkupArrow): void

  #### Parameters

  - arrow: MarkupArrow

  #### Returns void

### copyTo

- copyTo(sheet: MarkupSheet2D): MarkupArrow

  Copy the arrow to another markup sheet.

  #### Parameters

  - sheet: MarkupSheet2D

    Markup sheet to copy the arrow to.

  #### Returns MarkupArrow

  The new markup arrow entity.

  Overrides MarkupEntity.copyTo

### isEqual

- isEqual(o: MarkupArrow): boolean

  Compares if this entity is equal to another entity

  #### Parameters

  - o: MarkupArrow

  #### Returns boolean

  Overrides MarkupEntity.isEqual

### markAsDeleted

- markAsDeleted(): boolean

  Marks the entity as deleted in the MarkupSheet2D.

  #### Returns boolean

  `true` if object was deleted. Otherwise `false`.

  Inherited from MarkupEntity.markAsDeleted

### markAsUpdated

- markAsUpdated(): boolean

  Sets the entity as updated in the layer API.

  #### Returns boolean

  `true` if object did exist, otherwise `false`

  Inherited from MarkupEntity.markAsUpdated

### onAdded

- onAdded(o: MergableObjectEventArgs<MarkupEntity>): void

  Called when this entity is added

  #### Parameters

  - o: MergableObjectEventArgs<MarkupEntity>

  #### Returns void

  Inherited from MarkupEntity.onAdded

### onDelete

- onDelete(o: MergableObjectEventArgs<MarkupEntity>): void

  Called when this entity is deleted

  #### Parameters

  - o: MergableObjectEventArgs<MarkupEntity>

  #### Returns void

  Inherited from MarkupEntity.onDelete

### onUpdate

- onUpdate(o: MergableObjectEventArgs<MarkupArrow>): void

  Called when this entity is updated

  #### Parameters

  - o: MergableObjectEventArgs<MarkupArrow>

  #### Returns void

  Overrides MarkupEntity.onUpdate